#ifndef _ID_H
#define _ID_H

#ifdef HAVE_CONFIG_H
#include"config.h"
#endif

#ifdef HAVE_STDLIB_H
#include<stdlib.h>
#endif

#ifdef HAVE_UNISTD_H
#include<unistd.h>
#endif

#ifdef HAVE_PWD_H
#include<pwd.h>
#endif

#ifdef HAVE_GRP_H
#include<grp.h>
#endif

#ifdef HAVE_STRING_H
#include<string.h>
#endif

#if defined(HAVE_SYS_FSUID_H) && defined(HAVE_SETFSGID) && defined(HAVE_SETFSUID)
#include<sys/fsuid.h>
#endif

#include"output.h"

int checkwrapuser(void);
int suexecuser(const int argc, char *const argv[]);
int checkuser(const char *name, const uid_t uid, const gid_t gid,
	      const char *shell);

int partialchangeuser(const char *name, const uid_t uid, const gid_t gid);
int partialrestoreuser(void);

int changeuser(const char *name, const uid_t uid, const gid_t gid);

#endif
