#ifndef _MODIWRAP_H
#define _MODIWRAP_H

#ifdef HAVE_CONFIG_H
#include"config.h"
#endif

#if TIME_WITH_SYS_TIME
# include <sys/time.h>
# include <time.h>
#else
# if HAVE_SYS_TIME_H
#  include <sys/time.h>
# else
#  include <time.h>
# endif
#endif

#ifdef HAVE_SYS_TYPES_H
#include<sys/types.h>
#endif

#ifdef HAVE_SYS_RESOURCE_H
#include<sys/resource.h>
#endif

#ifdef HAVE_SYS_WAIT_H
#include<sys/wait.h>
#endif

#ifdef HAVE_PWD_H
#include<pwd.h>
#endif

#ifdef HAVE_GRP_H
#include<grp.h>
#endif

#include"exec.h"
#include"fs.h"
#include"func.h"

#ifdef CONF_USE_HTACCESS
#include"htaccess.h"
#endif

#include"id.h"
#include"output.h"

#ifdef CONF_MODIWRAP_CONFIG
#include"parse_config.h"
#endif

#ifdef CONF_USE_LIMITS
#include"rlimits.h"
#endif

#include"signals.h"
#include"subst.h"
#include"var.h"

extern char **environ;

#endif
