#ifndef SUBST_H
#define SUBST_H

#ifdef HAVE_CONFIG_H
#include"config.h"
#endif

#ifdef HAVE_STDIO_H
#include<stdio.h>
#endif

#ifdef HAVE_STDLIB_H
#include<stdlib.h>
#endif

#ifdef HAVE_UNISTD_H
#include<unistd.h>
#endif

#ifdef HAVE_STRING_H
#include<string.h>
#endif

#ifdef HAVE_CTYPE_H
#include<ctype.h>
#endif

#ifdef HAVE_REGEX_H
#include<regex.h>
#endif

#ifdef HAVE_SYS_STAT_H
#include<sys/stat.h>
#endif

#ifdef HAVE_FNMATCH_H
#include<fnmatch.h>
#endif

int subst(const char *argstring, const char *argregexp, const char *argsubst,
	  char *deststring, size_t deststringsize);
int substandstat(const char *argstring, const char *argregexp,
		 const char *argsubst, char *deststring,
		 size_t deststringsize);
int filebasematch(const char *filename, const char *regexp);
int filebasefnmatch(const char *filename, const char *regexp);

#endif
