#ifndef _VAR_H
#define _VAR_H

#ifdef HAVE_CONFIG_H
#include"config.h"
#endif

#ifdef HAVE_STRING_H
#include<string.h>
#endif

#ifdef HAVE_STDLIB_H
#include<stdlib.h>
#endif

#include"output.h"

/*
int setglobalvar(const char *name, const char *value);
int unsetglobalvar(const char *name);
char *getglobalvar(const char *name);
int setlocalvar(const char *name, const char *value);
int unsetlocalvar(const char *name);
char *getlocalvar(const char *name);
*/

int setvar(const char *name, const char *value);
int unsetvar(const char *name);
char *getvar(const char *name);

int checkneededvars(void);
void printvars(char **env);

void cleanlocalvars(void);

#ifdef CONF_PARANOID_ENV
char **createsaveenv(char **env);
#endif

#ifdef CONF_USE_ERRORDOCUMENT
/*void redirectvars(char **env);*/
#endif

#endif
