#ifndef _FS_H
#define _FS_H

#ifdef HAVE_CONFIG_H
#include"config.h"
#endif

#ifdef HAVE_STDLIB_H
#include<stdlib.h>
#endif

#ifdef HAVE_UNISTD_H
#include<unistd.h>
#endif

#ifdef HAVE_STRING_H
#include<string.h>
#endif

#ifdef HAVE_CTYPE_H
#include<ctype.h>
#endif

#ifdef HAVE_SYS_STAT_H
#include<sys/stat.h>
#endif

#ifdef HAVE_LIMITS_H
#include<limits.h>
#endif

#ifdef HAVE_PWD_H
#include<pwd.h>
#endif

#include"output.h"

int checkwrapfile(const char *filename);

/*int checkscriptpath(const char *script_name);*/
#ifdef CONF_SCRIPT_DOMAIN
int checkscriptdomain(const char *script_filename);
#endif
int checkscriptfile(const char *script_filename, const char *script_name,
		    const char *document_root, const uid_t uid,
		    const gid_t gid, int globalscript);
int changedir(const char *script_filename, const char *script_name);


#endif
