#ifndef _PARSE_HTACCESS_H
#define _PARSE_HTACCESS_H

#ifdef HAVE_CONFIG_H
#include"config.h"
#endif

#ifdef HAVE_STRING_H
#include<string.h>
#endif

#ifdef HAVE_STDIO_H
#include<stdio.h>
#endif

#include"func.h"
#include"output.h"
#include"subst.h"
#include"var.h"

#ifdef CONF_YYCLEAN
void htaccess_yyclean(void);
#endif

/* <0 = parse error, 0==access granted, >0==access denied */
int parse_htaccess(const char *htaccess, const char *local_script_filename,
		   const char *local_document_root,
		   const char *local_request_method,
		   const char *local_http_authorization_type,
		   const char *local_http_user,
		   const char *local_http_password);

#endif
