#ifndef _RLIMITS_H
#define _RLIMITS_H

#ifdef HAVE_CONFIG_H
#include"config.h"
#endif

#ifdef CONF_USE_LIMITS

#if TIME_WITH_SYS_TIME
# include <sys/time.h>
# include <time.h>
#else
# if HAVE_SYS_TIME_H
#  include <sys/time.h>
# else
#  include <time.h>
# endif
#endif

#ifdef HAVE_SYS_RESOURCE_H
#include<sys/resource.h>
#endif

#ifdef HAVE_UNISTD_H
#include<unistd.h>
#endif

#ifdef HAVE_PWD_H
#include<pwd.h>
#endif

#ifdef HAVE_GRP_H
#include<grp.h>
#endif

#include"output.h"

int setrlimitsandalarm(const char *name, const uid_t uid, const gid_t gid,
		       void (*timealrm) (int));

#endif

#endif
